<?php

namespace KupShop\ReservationBundle\AdminRegister;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterDynamic;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;

class ReservationAdminRegister extends AdminRegister implements IAdminRegisterDynamic, IAdminRegisterStatic
{
    public static function getMenu(): array
    {
        return [
            static::createMenuItem(
                'ordersMenu',
                [
                    'name' => 'Reservation',
                    'left' => 's=menu.php&type=Reservation',
                    'right' => 's=list.php&type=Reservation',
                ]
            ),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('Reservation', [\Modules::RESERVATIONS], ['RESERVATION']),
        ];
    }
}
